Bug 14313 - OPAC: Adding a comment makes result browser disappear
Summary: OPAC: Adding a comment makes result browser disappear
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-02 06:39 UTC by Marc Véron
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14313 - OPAC: Adding a comment makes result browser disappear (2.02 KB, patch)
2015-06-02 07:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14313 - OPAC: Adding a comment makes result browser disappear (2.06 KB, patch)
2015-06-02 08:08 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14313: OPAC - Adding a comment makes result browser disappear (2.19 KB, patch)
2015-06-02 12:22 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14313: OPAC - Adding a comment makes result browser disappear (2.24 KB, patch)
2015-06-03 11:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-06-02 06:39:06 UTC
To reproduce:

- Allow commenting in OPAC (Syspref reviewson)
- Log in to OPAC
- Do a search with many results
- Click on a biblio in result list
- Verify that you can browse the results in detail view ("Browse results")
- Repeat teh search above
- Click on the same biblio as above
- Add a comment (Tab "Comments")
- Close commenting window
- Click on "Next" in result browser

Result: The next biblio is displayed, but result browser has disappeared.

I reproduced this with Firefox and Chrome.
Comment 1 Marc Véron 2015-06-02 07:58:18 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-06-02 08:08:38 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2015-06-02 12:22:28 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-06-03 11:23:34 UTC
Created attachment 39801 [details] [review]
Bug 14313: OPAC - Adding a comment makes result browser disappear

To reproduce:

- Allow commenting in OPAC (Syspref reviewson)
- Log in to OPAC
- Do a search with many results
- Click on a biblio in result list
- Verify that you can browse the results in detail view ("Browse results")
- Repeat teh search above
- Click on the same biblio as above
- Add a comment (Tab "Comments")
- Close commenting window
- Click on "Next" in result browser

Result: The next biblio is displayed, but result browser has disappeared.

To test:

- Apply patch
- Try to reproduce issue above, verify that result browser does no longer disappear

AMended to remove whitespace chars. / MV

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Bug & solution checked, works well. No koha-qa errors

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-06-04 14:00:32 UTC
Patch pushed to master.

Thanks Marc!
Comment 6 Chris Cormack 2015-06-07 08:09:42 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 7 Liz Rea 2015-07-20 22:07:11 UTC
Pushed to 3.18.x will be in 3.18.09